> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach Glossary to Language AI profile

> Requires the glossary feature to be enabled on the organization.



## OpenAPI

````yaml /openapi/phrase-tms-v2.json post /api2/v2/memsourceTranslateProfiles/{uid}/glossaries/{glossaryUid}
openapi: 3.0.0
info:
  description: |-
    Welcome to Phrase's TMS API documentation. 

     Please visit our [help center](https://support.phrase.com/hc/en-us/sections/5709662083612) for more information about the APIs. 

     If you have any questions, please contact [Support](https://support.phrase.com/hc/requests/new). 

     Please, include the `User-Agent` header with the name of your application or project. It might be a good idea to include some sort of contact information as well, so that we can get in touch if necessary. Examples of excellent `User-Agent` headers:
     > User-Agent: Example mobile app (example@phrase.com) <br/> User-Agent: ACME Inc Java 1.8 Client (http://acmeinc.com/contact)
  version: '2'
  title: Phrase TMS API
servers:
  - url: https://cloud.memsource.com/web
security:
  - ApiToken: []
  - OAuth2: []
tags:
  - name: Analysis
  - name: Bilingual File
  - name: Connector
  - name: Conversations
  - name: Job
  - name: Language AI
  - name: Net Rate Scheme
  - name: Project
  - name: Project Template
  - name: Provider
  - name: Quality Assurance
  - name: Quote
  - name: Reference File
  - name: Term Base
  - name: Translation
  - name: Translation Memory
  - name: User
  - name: Webhook
  - name: Workflow changes
paths:
  /api2/v2/memsourceTranslateProfiles/{uid}/glossaries/{glossaryUid}:
    post:
      tags:
        - Language AI
      summary: Attach Glossary to Language AI profile
      description: Requires the glossary feature to be enabled on the organization.
      operationId: attachGlossary
      parameters:
        - name: uid
          in: path
          description: >-
            Profile UID. This is a Language AI profile uid, not a machine
            translate settings uid; for MT-engine settings operations, use
            GET/PUT/DELETE /api2/v1/machineTranslateSettings/{mtsUid} instead.
          required: true
          schema:
            type: string
        - name: glossaryUid
          in: path
          description: Glossary UID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/MemsourceTranslateProfileGlossariesV2DtoV2
        '400':
          description: Bad Request
        '401':
          description: Not authorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '405':
          description: Method not allowed
        '408':
          description: Timeout
        '410':
          description: Gone
        '415':
          description: Unsupported media type
        '429':
          description: Too many requests
        '500':
          description: Internal server error
        '501':
          description: Not implemented
components:
  schemas:
    MemsourceTranslateProfileGlossariesV2DtoV2:
      type: object
      properties:
        glossaries:
          type: array
          description: Glossaries attached to the Language AI profile
          items:
            $ref: '#/components/schemas/GlossarySimpleDtoV1'
      description: Glossaries attached to a Language AI profile.
    GlossarySimpleDtoV1:
      type: object
      properties:
        name:
          type: string
        uid:
          type: string
  securitySchemes:
    ApiToken:
      description: >-
        Get a token from `auth/login` [endpoint](#operation/login) and then pass
        it in the `Authorization` HTTP header in every subsequent API call. For
        more information visit our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#token-0-0).
      type: apiKey
      name: Authorization
      in: header
    OAuth2:
      description: >-
        A standard OAuth 2.0 authorization code flow. For more information visit
        our [help
        center](https://support.phrase.com/hc/en-us/articles/5709662181404-API-Authentication-TMS-#oauth-2-0-0-1).
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://cloud.memsource.com/web/oauth/authorize
          tokenUrl: https://cloud.memsource.com/web/oauth/token
          scopes: {}

````